/*
 * Url preview script 
 * powered by jQuery (http://www.jquery.com)
 * 
 * written by Alen Grakalic (http://cssglobe.com)
 * 
 * for more info visit http://cssglobe.com/post/1695/easiest-tooltip-and-image-preview-using-jquery
 *
 */
 
this.screenshotPreview = function(){	
	/* CONFIG */
		
		xOffset = 10;
		yOffset = 20;
		
		// these 2 variable determine popup's distance from the cursor
		// you might want to adjust to get the right result
		
	/* END CONFIG */
	$("a").hover(function(e){
		this.t = this.title;
		this.r  = this.rel;
		this.r.indexOf('lightbox')!=-1 ? this.r='' : '';
		this.title = "";
		if(this.t || this.r)
		{		
			var c = (this.t != "" && this.r!="") ? "<br/>" + this.t : this.t;
			var d = (this.r != "") ? "<img src='"+ this.r +"' alt='' />" : "";
			$("body").append("<p id='screenshot'>"+ d + c +"</p>");								 
			$("#screenshot")
				.css("top",(e.pageY - xOffset) + "px")
				.css("left",(e.pageX + yOffset) + "px")
				.fadeIn("fast");
		}
	},
	function(){
		if(this.t || this.r)
		{	
			this.title = this.t;	
			$("#screenshot").remove();
		}
	});	
	$("a.screenshot").mousemove(function(e){
		$("#screenshot")
			.css("top",(e.pageY - xOffset) + "px")
			.css("left",(e.pageX + yOffset) + "px");
	});			
};


// starting the script on page load
$(document).ready(function(){
	screenshotPreview();
});